AnnotationDocumentImpl.AnnotationImpl (xmlbeans API)

org.apache.xmlbeans.impl.xb.xsdschema.impl

## Class AnnotationDocumentImpl.AnnotationImpl

- java.lang.Object
- - org.apache.xmlbeans.impl.values.XmlObjectBase
  - - org.apache.xmlbeans.impl.values.XmlComplexContentImpl
    - - org.apache.xmlbeans.impl.xb.xsdschema.impl.OpenAttrsImpl
      - - org.apache.xmlbeans.impl.xb.xsdschema.impl.AnnotationDocumentImpl.AnnotationImpl

- All Implemented Interfaces:
    Serializable, TypeStoreUser, AnnotationDocument.Annotation, OpenAttrs, SimpleValue, XmlObject, XmlTokenSource
  Enclosing class:
    AnnotationDocumentImpl

      public static class AnnotationDocumentImpl.AnnotationImpl
      extends OpenAttrsImpl
      implements AnnotationDocument.Annotation

  An XML annotation(@http://www.w3.org/2001/XMLSchema). This is a complex type.
  See Also:
    Serialized Form

- - ### Field Summary

    - ### Fields inherited from class org.apache.xmlbeans.impl.values.XmlObjectBase

      `_voorVc, KIND_SETTERHELPER_ARRAYITEM, KIND_SETTERHELPER_SINGLETON, MAJOR_VERSION_NUMBER, MINOR_VERSION_NUMBER`

    - ### Fields inherited from interface org.apache.xmlbeans.impl.xb.xsdschema.AnnotationDocument.Annotation

      `Factory, type`

    - ### Fields inherited from interface org.apache.xmlbeans.XmlObject

      `EQUAL, GREATER_THAN, LESS_THAN, NOT_EQUAL`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `AnnotationImpl(SchemaType sType)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `AppinfoDocument.Appinfo` | `addNewAppinfo()` Appends and returns a new empty value (as xml) as the last "appinfo" element
    `DocumentationDocument.Documentation` | `addNewDocumentation()` Appends and returns a new empty value (as xml) as the last "documentation" element
    `AppinfoDocument.Appinfo[]` | `getAppinfoArray()` Gets array of all "appinfo" elements
    `AppinfoDocument.Appinfo` | `getAppinfoArray(int i)` Gets ith "appinfo" element
    `List<AppinfoDocument.Appinfo>` | `getAppinfoList()` Gets a List of "appinfo" elements
    `DocumentationDocument.Documentation[]` | `getDocumentationArray()` Gets array of all "documentation" elements
    `DocumentationDocument.Documentation` | `getDocumentationArray(int i)` Gets ith "documentation" element
    `List<DocumentationDocument.Documentation>` | `getDocumentationList()` Gets a List of "documentation" elements
    `String` | `getId()` Gets the "id" attribute
    `AppinfoDocument.Appinfo` | `insertNewAppinfo(int i)` Inserts and returns a new empty value (as xml) as the ith "appinfo" element
    `DocumentationDocument.Documentation` | `insertNewDocumentation(int i)` Inserts and returns a new empty value (as xml) as the ith "documentation" element
    `boolean` | `isSetId()` True if has "id" attribute
    `void` | `removeAppinfo(int i)` Removes the ith "appinfo" element
    `void` | `removeDocumentation(int i)` Removes the ith "documentation" element
    `void` | `setAppinfoArray(AppinfoDocument.Appinfo[] appinfoArray)` Sets array of all "appinfo" element WARNING: This method is not atomicaly synchronized.
    `void` | `setAppinfoArray(int i, AppinfoDocument.Appinfo appinfo)` Sets ith "appinfo" element
    `void` | `setDocumentationArray(DocumentationDocument.Documentation[] documentationArray)` Sets array of all "documentation" element WARNING: This method is not atomicaly synchronized.
    `void` | `setDocumentationArray(int i, DocumentationDocument.Documentation documentation)` Sets ith "documentation" element
    `void` | `setId(String id)` Sets the "id" attribute
    `int` | `sizeOfAppinfoArray()` Returns number of "appinfo" element
    `int` | `sizeOfDocumentationArray()` Returns number of "documentation" element
    `void` | `unsetId()` Unsets the "id" attribute
    `XmlID` | `xgetId()` Gets (as xml) the "id" attribute
    `void` | `xsetId(XmlID id)` Sets (as xml) the "id" attribute

    - ### Methods inherited from class org.apache.xmlbeans.impl.values.XmlComplexContentImpl

      `arraySetterHelper, arraySetterHelper, arraySetterHelper, arraySetterHelper, arraySetterHelper, arraySetterHelper, arraySetterHelper, arraySetterHelper, arraySetterHelper, arraySetterHelper, arraySetterHelper, arraySetterHelper, arraySetterHelper, arraySetterHelper, arraySetterHelper, arraySetterHelper, arraySetterHelper, arraySetterHelper, arraySetterHelper, arraySetterHelper, arraySetterHelper, arraySetterHelper, arraySetterHelper, arraySetterHelper, arraySetterHelper, arraySetterHelper, arraySetterHelper, arraySetterHelper, arraySetterHelper, arraySetterHelper, arraySetterHelper, arraySetterHelper, arraySetterHelper, arraySetterHelper, arraySetterHelper, arraySetterHelper, arraySetterHelper, arraySetterHelper, arraySetterHelper, arraySetterHelper, compute_text, equal_to, get_default_attribute_text, get_default_element_text, get_elementflags, is_child_element_order_sensitive, new_visitor, schemaType, set_nil, set_String, set_text, unionArraySetterHelper, unionArraySetterHelper, update_from_complex_content, value_hash_code`

    - ### Methods inherited from class org.apache.xmlbeans.impl.values.XmlObjectBase

      `_copy, _copy, _isComplexContent, _isComplexType, _set, _validateOnSet, attach_store, build_nil, build_text, changeType, check_dated, check_orphaned, compare_to, compareTo, compareValue, copy, copy, create_attribute_user, create_element_user, disconnect_store, documentProperties, dump, elementFlags, equals, execQuery, execQuery, generatedSetterHelperImpl, get_attribute_field, get_attribute_type, get_attributeflags, get_default_attribute_value, get_element_ending_delimiters, get_element_type, get_schema_type, get_store, get_wscanon_rule, get_wscanon_text, getBigDecimalValue, getBigIntegerValue, getBooleanArray, getBooleanArray, getBooleanValue, getByteArray, getByteArray, getByteArrayValue, getByteValue, getCalendarValue, getDateValue, getDomNode, getDoubleArray, getDoubleArray, getDoubleValue, getEnumArray, getEnumArray, getEnumValue, getFloatArray, getFloatArray, getFloatValue, getGDateValue, getGDurationValue, getIntArray, getIntArray, getIntValue, getListValue, getLongArray, getLongArray, getLongValue, getObjectArray, getObjectArray, getObjectValue, getQNameValue, getShortArray, getShortArray, getShortValue, getStringValue, getXmlLocale, getXmlObjectArray, getXmlObjectArray, has_store, hashCode, init_flags, initComplexType, instanceType, invalidate_element_order, invalidate_nilvalue, invalidate_value, is_defaultable_ws, is_orphaned, isDefault, isDefaultable, isFixed, isImmutable, isInstanceOf, isNil, isNillable, java_value, monitor, newCursor, newCursorForce, newDomNode, newDomNode, newInputStream, newInputStream, newReader, newReader, newXMLStreamReader, newXMLStreamReader, save, save, save, save, save, save, save, save, selectAttribute, selectAttribute, selectAttributes, selectChildren, selectChildren, selectChildren, selectPath, selectPath, set_b64, set_BigDecimal, set_BigInteger, set_boolean, set_byte, set_ByteArray, set_Calendar, set_char, set_ComplexXml, set_Date, set_double, set_enum, set_float, set_GDate, set_GDuration, set_hex, set_int, set_list, set_long, set_newValue, set_notation, set_QName, set_short, set_xmlanysimple, set, setBigDecimalValue, setBigIntegerValue, setBooleanValue, setByteArrayValue, setByteValue, setCalendarValue, setDateValue, setDoubleValue, setEnumValue, setFloatValue, setGDateValue, setGDateValue, setGDurationValue, setGDurationValue, setImmutable, setIntValue, setListValue, setLongValue, setNil, setObjectValue, setQNameValue, setShortValue, setStringValue, setValidateOnSet, substitute, toString, uses_invalidate_value, validate_now, validate_simpleval, validate, validate, valueEquals, valueHashCode, writeReplace, xgetArray, xgetArray, xgetListValue, xmlText, xmlText`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

    - ### Methods inherited from interface org.apache.xmlbeans.XmlObject

      `changeType, compareTo, compareValue, copy, copy, execQuery, execQuery, isImmutable, isNil, schemaType, selectAttribute, selectAttribute, selectAttributes, selectChildren, selectChildren, selectChildren, selectPath, selectPath, set, setNil, substitute, toString, validate, validate, valueEquals, valueHashCode`

    - ### Methods inherited from interface org.apache.xmlbeans.XmlTokenSource

      `documentProperties, dump, getDomNode, monitor, newCursor, newDomNode, newDomNode, newInputStream, newInputStream, newReader, newReader, newXMLStreamReader, newXMLStreamReader, save, save, save, save, save, save, save, save, xmlText, xmlText`

- - ### Constructor Detail

    - #### AnnotationImpl

          public AnnotationImpl(SchemaType sType)

  - ### Method Detail

    - #### getAppinfoList

          public List<AppinfoDocument.Appinfo> getAppinfoList()

      Gets a List of "appinfo" elements
      Specified by:
        `getAppinfoList` in interface `AnnotationDocument.Annotation`

    - #### getAppinfoArray

          public AppinfoDocument.Appinfo[] getAppinfoArray()

      Gets array of all "appinfo" elements
      Specified by:
        `getAppinfoArray` in interface `AnnotationDocument.Annotation`

    - #### getAppinfoArray

          public AppinfoDocument.Appinfo getAppinfoArray(int i)

      Gets ith "appinfo" element
      Specified by:
        `getAppinfoArray` in interface `AnnotationDocument.Annotation`

    - #### sizeOfAppinfoArray

          public int sizeOfAppinfoArray()

      Returns number of "appinfo" element
      Specified by:
        `sizeOfAppinfoArray` in interface `AnnotationDocument.Annotation`

    - #### setAppinfoArray

          public void setAppinfoArray(AppinfoDocument.Appinfo[] appinfoArray)

      Sets array of all "appinfo" element WARNING: This method is not atomicaly synchronized.
      Specified by:
        `setAppinfoArray` in interface `AnnotationDocument.Annotation`

    - #### setAppinfoArray

          public void setAppinfoArray(int i,
                                      AppinfoDocument.Appinfo appinfo)

      Sets ith "appinfo" element
      Specified by:
        `setAppinfoArray` in interface `AnnotationDocument.Annotation`

    - #### insertNewAppinfo

          public AppinfoDocument.Appinfo insertNewAppinfo(int i)

      Inserts and returns a new empty value (as xml) as the ith "appinfo" element
      Specified by:
        `insertNewAppinfo` in interface `AnnotationDocument.Annotation`

    - #### addNewAppinfo

          public AppinfoDocument.Appinfo addNewAppinfo()

      Appends and returns a new empty value (as xml) as the last "appinfo" element
      Specified by:
        `addNewAppinfo` in interface `AnnotationDocument.Annotation`

    - #### removeAppinfo

          public void removeAppinfo(int i)

      Removes the ith "appinfo" element
      Specified by:
        `removeAppinfo` in interface `AnnotationDocument.Annotation`

    - #### getDocumentationList

          public List<DocumentationDocument.Documentation> getDocumentationList()

      Gets a List of "documentation" elements
      Specified by:
        `getDocumentationList` in interface `AnnotationDocument.Annotation`

    - #### getDocumentationArray

          public DocumentationDocument.Documentation[] getDocumentationArray()

      Gets array of all "documentation" elements
      Specified by:
        `getDocumentationArray` in interface `AnnotationDocument.Annotation`

    - #### getDocumentationArray

          public DocumentationDocument.Documentation getDocumentationArray(int i)

      Gets ith "documentation" element
      Specified by:
        `getDocumentationArray` in interface `AnnotationDocument.Annotation`

    - #### sizeOfDocumentationArray

          public int sizeOfDocumentationArray()

      Returns number of "documentation" element
      Specified by:
        `sizeOfDocumentationArray` in interface `AnnotationDocument.Annotation`

    - #### setDocumentationArray

          public void setDocumentationArray(DocumentationDocument.Documentation[] documentationArray)

      Sets array of all "documentation" element WARNING: This method is not atomicaly synchronized.
      Specified by:
        `setDocumentationArray` in interface `AnnotationDocument.Annotation`

    - #### setDocumentationArray

          public void setDocumentationArray(int i,
                                            DocumentationDocument.Documentation documentation)

      Sets ith "documentation" element
      Specified by:
        `setDocumentationArray` in interface `AnnotationDocument.Annotation`

    - #### insertNewDocumentation

          public DocumentationDocument.Documentation insertNewDocumentation(int i)

      Inserts and returns a new empty value (as xml) as the ith "documentation" element
      Specified by:
        `insertNewDocumentation` in interface `AnnotationDocument.Annotation`

    - #### addNewDocumentation

          public DocumentationDocument.Documentation addNewDocumentation()

      Appends and returns a new empty value (as xml) as the last "documentation" element
      Specified by:
        `addNewDocumentation` in interface `AnnotationDocument.Annotation`

    - #### removeDocumentation

          public void removeDocumentation(int i)

      Removes the ith "documentation" element
      Specified by:
        `removeDocumentation` in interface `AnnotationDocument.Annotation`

    - #### getId

          public String getId()

      Gets the "id" attribute
      Specified by:
        `getId` in interface `AnnotationDocument.Annotation`

    - #### xgetId

          public XmlID xgetId()

      Gets (as xml) the "id" attribute
      Specified by:
        `xgetId` in interface `AnnotationDocument.Annotation`

    - #### isSetId

          public boolean isSetId()

      True if has "id" attribute
      Specified by:
        `isSetId` in interface `AnnotationDocument.Annotation`

    - #### setId

          public void setId(String id)

      Sets the "id" attribute
      Specified by:
        `setId` in interface `AnnotationDocument.Annotation`

    - #### xsetId

          public void xsetId(XmlID id)

      Sets (as xml) the "id" attribute
      Specified by:
        `xsetId` in interface `AnnotationDocument.Annotation`

    - #### unsetId

          public void unsetId()

      Unsets the "id" attribute
      Specified by:
        `unsetId` in interface `AnnotationDocument.Annotation`